We’re rewarding the question askers & reputations are being recalculated! Read more.

Questions tagged [cpan]

Comprehensive Perl Archive Network (CPAN) is a collection of Perl modules and documentation.

Filter by
Sorted by
Tagged with
0
votes
1answer
295 views

how do i fix this Switch.pm in @INC

I am trying to install NIPE on ubuntu running on my Windows 10 using Windows Subsystems For Linux, I have cloned the file from GitHub and have done some commands which worked, but the command to fully ...
0
votes
0answers
2k views

How to install all the perl modules in Ubuntu at once

I want to install LWP::UserAgent, I tried by using metascan manual method. but it have ~50 defedencies modules. please suggest the method. I was installing RepeatModeler by using the following ...
2
votes
1answer
530 views

cpan / perl messed up

Lubuntu Xenial. I seem to have messed up my system perl. cpan returns: bash: /usr/local/bin/cpan: no such file or directory (I built a newer perl version from source in that directory, but removed ...
2
votes
2answers
4k views

can't install cpan module GD

Since I failed to install Image::Magick on my non-GUI Ubuntu server Ubuntu 14.04.2 LTS (read about it here), I tried to install another image-manupulation tool that can be used from a perl-script: GD. ...
2
votes
4answers
7k views

can't install cpan module Image::Magick

This question still has no solution (scroll down to "EDIT 5" to see the actual status) I am trying to install Image::Magick on my headless Ubuntu server Ubuntu 14.04.2 LTS # cpan install Image::...
3
votes
1answer
5k views

Several perl packages (including cpan and re.pl) not working after upgrade from 12.04 to 14.04

Several perl packages stopped working after upgrade from 12.04 to 14.04. For example, cpan gives me: Attempt to reload Scalar/Util.pm aborted. Compilation failed in require at /usr/local/share/perl/...
0
votes
1answer
1k views

Installing Authen::Simple::PAM module with cpan in ubuntu fails

I'm trying to install the Authen::Simple::PAM module using cpan from ubuntu terminal and i get an error as shown below (note other modules install perfectly) Checking if your kit is complete... Looks ...
0
votes
1answer
1k views

How to install WWW::Mechanize::Firefox and MozRepl::RemoteObject?

I want to use WWW::Mechanize::Firefox. Trying to install it via cpan one dependency not OK (MozRepl::RemoteObject); additionally test harness failed Trying to install MozRepl::RemoteObject will not ...
1
vote
3answers
2k views

Pac ssh manager on Ubuntu 14.04 does not work

I am using Ubuntu 14.04. For ssh, I am using pac manger. It was working perfectly on Ubuntu 12.04 but after upgrading to 14.04 pac does not work. When I run it from the terminal it says: Can't locate ...
2
votes
3answers
3k views

How to find out what package contains some Perl module [duplicate]

I need to install some CPAN module on my Ubuntu computer. I want to install it from deb package so I need to find out what package contains that module. Sometimes the solution for this task is pretty ...
0
votes
1answer
3k views

Perl dependancy problems installing Webmin

I just installed webmin from a .deb file. on Ubuntu Server 12.04, which went ok. I logged in at the web interface and checked the "Perl Modules" page. There was on module suggested but not installed. ...
2
votes
1answer
239 views

Error installing SHA [closed]

I'm trying to install SHA using the following command perl -MCPAN -e 'install Digest::SHA' I also tried using: sudo cpan 'install Digest::SHA' But i'm getting a linker error: /usr/local/bin/ld: ...
2
votes
1answer
890 views

Perl module Set::IntervalTree is not installing

Please help me resolve this issue. I am trying to install a Perl module Set::IntervalTree in Ubuntu. I am repeatedly receiving the following error: cpan[1]> install Set::IntervalTree CPAN: ...
2
votes
1answer
3k views

How to resolve Perl module error while trying to run NGS QC Toolkit?

I was trying to run NGS QC Toolkit http://59.163.192.90:8080/ngsqctoolkit/ in Ubuntu 12.04 LTS 64 bit version. But, after executing the command, an error shows that states it cannot find module String:...
7
votes
1answer
28k views

Trying to install CPAN

I am trying to use CPAN, but I am running into an issue. First I did sudo apt-get install perl. It says it's there. I typed cpan install automatically yes sudo which indicated as done, and I can get ...
8
votes
2answers
7k views

How do I undo an accidental installation of all Perl modules?

I was attempting to upgrade my Perl modules through CPAN, but I did not supply a regex/module name to upgrade: perl -MCPAN -e 'upgrade'; I can only assume the worst (which seems to be supported by the ...
0
votes
1answer
1k views

Cannot install DBIx::Class::Loader in order to make Catalyst Model DBIC

I want to create model DBIC for Catalyst project with this command: myapp_create.pl model SomeDB DBIC dbi:SQLite:/tmp/my.db This command doesn't work since I haven't "Catalyst::Helper::Model::DBIC" ...
2
votes
1answer
8k views

change cpan install directory

I have tried to setup cpan on my ubuntu 12.04 using: sudo cpan and it created a folder perl5 in my $HOME folder. I would like to use a different directory such as $HOME/.perl5 or somewhere in /usr/...
5
votes
1answer
58k views

How to install Perl Switch.pm module required to build WebKit-GTK?

I noticed that the perl version (5.14) shipped with 12.10 does not include the Switch.pm module needed while building WebKiT-GTK. Looking around on the internet I found few suggestions indicating ...
2
votes
1answer
6k views

How to resolve error when installing Perl CPAN modules?

I have installed the latest version of Perl CPAN on Ubuntu. When I try to install any CPAN module using the command perl -MCPAN -e shell;install GD::Graph, I am seeing the following error: **root@...
4
votes
1answer
570 views

yum whatprovides 'perl(Foo::Bar)' equivalent with apt or dpkg?

This is certainly related to this question, but I feel it doesn't overlap, so here we go. How can I get the functionality of the following command on Ubuntu (and/or Debian as bonus): yum whatprovides ...
0
votes
1answer
1k views

How to solve this error: There is no perl module on CPAN named [modulename]

I am trying to install bugzilla optional modules, but get this error: I tried using cpan Module::mod_perl2 but with no success as well. please advise
9
votes
4answers
2k views

CPAN vs. APT: Conflicts in versions?

I can't find the answer to this anywhere: Does a module installed via APT conflict with one installed via CPAN? Along with that question are these: Where do the installed CPAN modules live? Are they ...
2
votes
1answer
213 views

How can I programatically find out which CPAN modules relate to packaged modules?

I am trying to write an Juju formula for App::Alice, a web based IRC client. According to the the installation instructions I execute the following commands to snag Alice and all of it's dependencies ...